"use client";
import dynamic from "next/dynamic";

const SmoothScroll = dynamic(() => import("../../shared/layout/animations/SmoothScroll"), {
  ssr: false,
});

const ParallaxImage = dynamic(() => import("../../shared/layout/animations/ParallaxImage"), {
  ssr: false,
});

const FadeImageBottom = dynamic(() => import("../../shared/layout/animations/FadeImageBottom"), {
  ssr: false,
});

const ButtonHoverAnimation = dynamic(
  () => import("../../shared/layout/animations/ButtonHoverAnimation"),
  {
    ssr: false,
  }
);

const VanillaTiltHover = dynamic(
  () => import("../../shared/layout/animations/VanillaTiltHover"),
  {
    ssr: false,
  }
);

const SplitTextAnimations = dynamic(
  () => import("../../shared/layout/animations/SplitTextAnimations"),
  {
    ssr: false,
  }
);

const ScrollToElement = dynamic(() => import("../../shared/layout/animations/ScrollToElement"), {
  ssr: false,
});

const AppearDown = dynamic(() => import("../../shared/layout/animations/AppearDown"), {
  ssr: false,
});

const FadeAnimations = dynamic(() => import("../../shared/layout/animations/FadeAnimations"), {
  ssr: false,
});

const HomeInitAnimations = () => {
  return (
    <>
      <SmoothScroll />
      <ParallaxImage />
      <FadeImageBottom />
      <ButtonHoverAnimation />
      <VanillaTiltHover />
      <SplitTextAnimations />
      <ScrollToElement />
      <AppearDown />
      <FadeAnimations />
    </>
  );
};

export default HomeInitAnimations;
